Loading...
Searching...
No Matches
genomeSequenceMmapHeader Class Reference
Inheritance diagram for genomeSequenceMmapHeader:
[legend]
Collaboration diagram for genomeSequenceMmapHeader:
[legend]

## Static Public Member Functions

static size_t | getHeaderSize (int chromosomeCount)

## Friends

class | GenomeSequence
std::ostream & | operator<< (std::ostream &stream, genomeSequenceMmapHeader &h)

## Additional Inherited Members

Public Member Functions inherited from MemoryMapArrayHeader
void | constructorClear ()
void | debugPrint (FILE *)
size_t | getHeaderSize (int i)
void | setApplication (const char *s)
void | setCreationUser (const char *s)
void | setCreationHost (const char *s)
Public Attributes inherited from MemoryMapArrayHeader
uint32_t | typeCookie
uint32_t | typeVersion
uint32_t | contentCookie
uint32_t | contentVersion
size_t | headerSize
time_t | creationDate
char | creationUser [32]
char | creationHost [32]
char | application [32]
size_t | elementCount

## Detailed Description

Definition at line 79 of file GenomeSequenceHelpers.h.

## Member Function Documentation

## getHeaderSize()

size_t genomeSequenceMmapHeader::getHeaderSize | ( | int | chromosomeCount | ) |

inline static

Definition at line 95 of file GenomeSequenceHelpers.h.

{
return sizeof(genomeSequenceMmapHeader) + sizeof(ChromosomeInfo[1]) * chromosomeCount;
}

## Friends And Related Symbol Documentation

## GenomeSequence

friend class GenomeSequence

friend

Definition at line 81 of file GenomeSequenceHelpers.h.

## operator<<

std::ostream & operator<< | ( | std::ostream & | stream,
|  | genomeSequenceMmapHeader & | h )

friend

Definition at line 1137 of file GenomeSequence.cpp.

{
stream << (MemoryMapArrayHeader &) h;
stream << "chromosomeCount: " << h._chromosomeCount << std::endl;
stream << "isColorSpace: " << h._colorSpace << std::endl;
stream << "chromosomeCount: " << h._chromosomeCount << std::endl;
uint64_t totalSize = 0;
for (uint32_t i=0; i < h._chromosomeCount; i++)
{
totalSize += h._chromosomes[i].size;
stream << "Chromosome Index " << i << " name: " << h._chromosomes[i].name << std::endl;
stream << "Chromosome Index " << i << " whole genome start: " << h._chromosomes[i].start << std::endl;
stream << "Chromosome Index " << i << " whole genome size: " << h._chromosomes[i].size << std::endl;
stream << "Chromosome Index " << i << " md5 checksum: " << h._chromosomes[i].md5 << std::endl;
stream << "Chromosome Index " << i << " assemblyID: " << h._chromosomes[i].assemblyID << std::endl;
stream << "Chromosome Index " << i << " species: " << h._chromosomes[i].species << std::endl;
stream << "Chromosome Index " << i << " URI: " << h._chromosomes[i].uri << std::endl;
}
stream << "Total Genome Size: " << totalSize << " bases."<< std::endl;
if (totalSize != h.elementCount)
{
stream << "Total Genome Size: does not match elementCount!\n";
}
stream << std::endl;
return stream;
}

The documentation for this class was generated from the following file:

- general/GenomeSequenceHelpers.h